lcmaps-globus-interface_1.6.1-2_all.deb


Advertisement

Description

lcmaps-globus-interface - LCMAPS header files for Globus interfaces

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name lcmaps-globus-interface
Package version 1.6.1
Package release 2
Package architecture all
Package type deb
Installed size 96 B
Download size 80.11 KB
Official Mirror ftp.br.debian.org
The Local Centre MAPping Service (LCMAPS) is a security middleware
component that processes the users Grid credentials (typically X.509
proxy certificates and VOMS attributes) and maps the user to a local
account based on the site local policy.
It is a highly configurable pluggable interface, and many plugins are
available to tailor almost every need. Since this is middleware, it
does not interact with the user directly; to use it in a program please
see the lcmaps-interface package.
This package contains the header files for the globus dependent interfaces.

Alternatives

Package Version Architecture Repository
lcmaps-globus-interface_1.6.1-2_all.deb 1.6.1 all Debian Main
lcmaps-globus-interface - - -

Requires

Name Value
lcmaps-openssl-interface = 1.6.1-2
libglobus-gssapi-gsi-dev -

Provides

Name Value
lcmaps-interface -

Download

Type URL
Binary Package lcmaps-globus-interface_1.6.1-2_all.deb
Source Package lcmaps

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lcmaps-globus-interface deb package:
    # sudo apt-get install lcmaps-globus-interface

Files

Path
/usr/include/lcmaps/_lcmaps_return_poolindex.h
/usr/include/lcmaps/lcmaps.h
/usr/include/lcmaps/lcmaps_globus.h
/usr/include/lcmaps/lcmaps_return_poolindex.h
/usr/share/doc/lcmaps-globus-interface/changelog.Debian.gz
/usr/share/doc/lcmaps-globus-interface/changelog.gz
/usr/share/doc/lcmaps-globus-interface/copyright
/usr/share/pkgconfig/lcmaps-globus-interface.pc
/usr/share/pkgconfig/lcmaps-interface.pc

Changelog

2014-01-20 - Dennis van Dok <dennisvd@nikhef.nl>
lcmaps (1.6.1-2) unstable; urgency=low
[ Mischa Salle ]
* Build-depend on pkg-config to fix globus Multiarch problem
* Use dh-autoreconf instead of autotools-dev to also fix FTBFS on
ppc64el by getting new libtool macros (still updates
config.{sub,guess}). (Thanks to Logan Rosen)
2013-02-27 - Dennis van Dok <dennisvd@nikhef.nl>
lcmaps (1.6.1-1) UNRELEASED; urgency=low
* New upstream version
2012-11-06 - Dennis van Dok <dennisvd@nikhef.nl>
lcmaps (1.5.7-2) UNRELEASED; urgency=low
* Use dpkg-buildflags to include hardening compiler flags
* Update the copyright format
2012-10-29 - Dennis van Dok <dennisvd@nikhef.nl>
lcmaps (1.5.7-1) UNRELEASED; urgency=low
* New upstream release
2012-09-03 - Dennis van Dok (Software Engineer) <dennisvd@nikhef.nl>
lcmaps (1.5.6-1) UNRELEASED; urgency=low
* New upstream release
2012-04-13 - Dennis van Dok (Software Engineer) <dennisvd@nikhef.nl>
lcmaps (1.5.5-1) UNRELEASED; urgency=low
* New upstream release. Fixes out-of-source build failure
with --disable-gsi-mode
2012-04-03 - Dennis van Dok (Software Engineer) <dennisvd@nikhef.nl>
lcmaps (1.5.4-1) UNRELEASED; urgency=low
* New upstream release
2012-03-19 - Dennis van Dok (Software Engineer) <dennisvd@nikhef.nl>
lcmaps (1.5.3-1) unstable; urgency=low
* New upstream release
2012-03-08 - Dennis van Dok (Software Engineer) <dennisvd@nikhef.nl>
lcmaps (1.5.2-1) unstable; urgency=low
* New upstream release
2011-11-16 - Dennis van Dok (Software Engineer) <dennisvd@nikhef.nl>
lcmaps (1.4.34-1) UNRELEASED; urgency=low
* New upstream release
* properly replace lcmaps-interface by lcmaps-basic-interface
and provide it as a virtual package by lcmaps-globus-interface

See Also

Package Description
lcmaps-openssl-interface_1.6.1-2_all.deb LCMAPS header files for OpenSSL interfaces
lcmaps-plugins-basic-bandn_1.6.1-3_amd64.deb LCMAPS plugin to ban a user based on the Subject DN
lcmaps-plugins-basic-dummy_1.6.1-3_amd64.deb Dummy LCMAPS plug-ins
lcmaps-plugins-basic-ldap_1.6.1-3_amd64.deb LCMAPS plug-in to update ldap according to credentials
lcmaps-plugins-basic-localaccount_1.6.1-3_amd64.deb Localaccount LCMAPS plug-in
lcmaps-plugins-basic-poolaccount_1.6.1-3_amd64.deb Poolaccount LCMAPS plug-in
lcmaps-plugins-basic-posixenf_1.6.1-3_amd64.deb LCMAPS plug-in to switch user identity
lcmaps-plugins-jobrep-admin_1.5.3-2_all.deb Jobrepository database setup tools
lcmaps-plugins-jobrep_1.5.3-2_amd64.deb Jobrepository plugin for the LCMAPS authorization framework
lcmaps-plugins-verify-proxy_1.5.4-2_amd64.deb Proxy verification plugin for LCMAPS
lcmaps-plugins-voms_1.6.2-2_amd64.deb VOMS plugins for the LCMAPS authorization framework
lcov_1.11-3_all.deb Summarise Code coverage information from GCOV
lcrack_20040914-1_amd64.deb A generic password cracker
lcrt_1.1.2-2_amd64.deb graphic Linux remote login tool
ld10k1_1.0.28-1_amd64.deb ALSA emu10k1/2 patch loader
Advertisement
Advertisement